Bug 434937 - [PATCH] rshd access pam_env
[PATCH] rshd access pam_env
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rsh (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks: 434938
  Show dependency treegraph
 
Reported: 2008-02-26 08:30 EST by Adam Stokes
Modified: 2013-04-30 19:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 04:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
read environment variables (645 bytes, patch)
2008-02-26 08:30 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-02-26 08:30:33 EST
Description of problem:
rshd is not pulling down environment variables as listed in
/etc/security/pam_env.conf

Version-Release number of selected component (if applicable):
netkit-rsh 0.17.x

How reproducible:
100%

Steps to Reproduce:
1.add env to /etc/security/pam_env.conf
2.rsh <server> env
3.
  
Actual results:
specified environment variables are not set

Expected results:
environment variables set

Additional info:
patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=48406
Comment 1 Adam Stokes 2008-02-26 08:30:34 EST
Created attachment 295902 [details]
read environment variables
Comment 2 Adam Tkac 2008-03-10 10:24:50 EDT
Patch looks fine for me.
Comment 3 Adam Tkac 2008-04-02 08:49:23 EDT
(In reply to comment #2)
> Patch looks fine for me.

Taking back my decision, we should use netkit-rsh-0.17-pam_env.patch from
rawhide (previous patch caused memory leak)
Comment 6 RHEL Product and Program Management 2008-10-31 12:38:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Adam Tkac 2010-04-01 06:41:48 EDT
Fixed in rsh-0.17-25.6.el4.
Comment 12 errata-xmlrpc 2010-05-19 04:43:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0425.html

Note You need to log in before you can comment on or make changes to this bug.